package com.sckw.excel.easyexcel;

import com.alibaba.excel.converters.Converter;
import com.alibaba.excel.enums.CellDataTypeEnum;

import java.time.LocalDateTime;

/**
 *
 * 导出时的字段类型转换
 * LocalDateTime to「yyyy-MM-dd HH:mm:ss」
 *
 * @author LengFaQiang
 * @version v1
 * @create 2020-09-24 11:07:29
 * @copyright
 */
public class LocalDateTimeConverter implements Converter<LocalDateTime> {

    @Override
    public Class<LocalDateTime> supportJavaTypeKey() {
        return LocalDateTime.class;
    }

    @Override
    public CellDataTypeEnum supportExcelTypeKey() {
        return CellDataTypeEnum.STRING;
    }

}